diff -ruN -x configure -x *~ -x ircd-hybrid-6.0.orig -x *.rej ircd-hybrid-6.0.orig/src/ircd.c ircd-hybrid-6.0/src/ircd.c
--- ircd-hybrid-6.0.orig/src/ircd.c	Sat May 26 17:20:41 2001
+++ ircd-hybrid-6.0/src/ircd.c	Sat May 26 17:19:38 2001
@@ -662,6 +662,7 @@
   uid_t       euid;
   time_t      delay = 0;
   aConfItem*  aconf;
+  struct passwd *pass;
 #ifdef SAVE_MAXCLIENT
   FBFILE* file;
   char mline[20];
@@ -741,6 +742,18 @@
       fprintf(stderr,"ERROR:  Cannot chdir/chroot\n");
       exit(5);
     }
+#else
+#ifndef OPN_DEBUG
+  if ((pass = getpwuid (geteuid())))
+    {
+      if (chdir(pass->pw_dir))
+        {
+          fprintf(stderr, "ERROR:  Cannot chdir to home dir %s\n", pass->pw_dir);
+          exit(5);
+        }
+    }
+#endif
+  endpwent();
 #endif /*CHROOTDIR*/
 
 #ifdef  ZIP_LINKS
